/* Generated phase table, do not edit */
/*   gen_phase_table -o pxmc_ptprofile_sin3phup_zic.c -N pxmc_ptprofile_sin3phup_zic -c -i 252 -s sin3phup -z 10 -n 3 -f c-struct */

/* ptirc=252 ptper=1 ptamp=32767 phasenum=3 combined=1*/
/* shape="sin3phup" zeroideg=10 */
/* ptable_name="pxmc_ptprofile_sin3phup_zic" */

#include "pxmc_internal.h"

static const short
pxmc_ptprofile_sin3phup_zic_phase1[]={
   28377,
   28776,
   29157,
   29521,
   29867,
   30193,
   30501,
   30790,
   31059,
   31310,
   31542,
   31752,
   31944,
   32116,
   32269,
   32400,
   32512,
   32603,
   32674,
   32725,
   32756,
   32766,
   32756,
   32725,
   32674,
   32603,
   32512,
   32400,
   32269,
   32116,
   31944,
   31752,
   31542,
   31310,
   31059,
   30790,
   30501,
   30193,
   29867,
   29521,
   29157,
   28776,
   28377,
   27959,
   27524,
   27073,
   26604,
   26119,
   25617,
   25100,
   24567,
   24019,
   23456,
   22878,
   22286,
   21680,
   53830,
   53197,
   52552,
   51894,
   51225,
   50544,
   49853,
   49151,
   48439,
   47717,
   46985,
   46245,
   45496,
   44739,
   43975,
   10436,
    9658,
    8874,
    8086,
    7291,
    6492,
    5690,
    4884,
    4074,
    3263,
    2448,
    1633,
     817,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
     817,
    1633,
    2448,
    3263,
    4074,
    4884,
    5690,
    6492,
    7291,
    8086,
    8874,
    9658,
   10436,
   43975,
   44739,
   45496,
   46245,
   46985,
   47717,
   48439,
   49151,
   49853,
   50544,
   51225,
   51894,
   52552,
   53197,
   53830,
   21680,
   22286,
   22878,
   23456,
   24019,
   24567,
   25100,
   25617,
   26119,
   26604,
   27073,
   27524,
   27959,
   28377,
   28776,
   29157,
   29521,
   29867,
   30193,
   30501,
   30790,
   31059,
   31310,
   31542,
   31752,
   31944,
   32116,
   32269,
   32400,
   32512,
   32603,
   32674,
   32725,
   32756,
   32766,
   32756,
   32725,
   32674,
   32603,
   32512,
   32400,
   32269,
   32116,
   31944,
   31752,
   31542,
   31310,
   31059,
   30790,
   30501,
   30193,
   29867,
   29521,
   29157,
   28776,
   28377,
   28776,
   29157,
   29521,
   29867,
   30193,
   30501,
   30790,
   31059,
   31310,
   31542,
   31752,
   31944,
   32116,
   32269,
   32400,
   32512,
   32603,
   32674,
   32725,
   32756,
   32766,
   32756,
   32725,
   32674,
   32603,
   32512,
   32400,
   32269,
   32116,
   31944,
   31752,
   31542,
   31310,
   31059,
   30790,
   30501,
   30193,
   29867,
   29521,
   29157,
   28776,
   28377,
   27959,
   27524,
   27073,
   26604,
   26119,
   25617,
   25100,
   24567,
   24019,
   23456,
   22878,
   22286,
   21680,
   53830,
   53197,
   52552,
   51894,
   51225,
   50544,
   49853,
   49151,
   48439,
   47717,
   46985,
   46245,
   45496,
   44739,
   43975,
   10436,
    9658,
    8874,
    8086,
    7291,
    6492,
    5690,
    4884,
    4074,
    3263,
    2448,
    1633,
     817,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0,
       0
};

const pxmc_ptprofile_t pxmc_ptprofile_sin3phup_zic={
  .ptname="sin3phup",
  .ptid=0,
  .ptirc=252,
  .ptper=1,
  .ptamp=32767,
  .ptphnum=3,
  .ptptr1=pxmc_ptprofile_sin3phup_zic_phase1+0,
  .ptptr2=pxmc_ptprofile_sin3phup_zic_phase1+84,
  .ptptr3=pxmc_ptprofile_sin3phup_zic_phase1+168,
};
